public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Mrozowski" <reavertm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kdevelop-python/
Date: Mon, 19 Nov 2018 02:26:43 +0000 (UTC)	[thread overview]
Message-ID: <1542593722.823bd2d48417f8f666a8f1daa52b1def25199e00.reavertm@gentoo> (raw)

commit:     823bd2d48417f8f666a8f1daa52b1def25199e00
Author:     Maciej Mrozowski <reavertm <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 19 01:55:57 2018 +0000
Commit:     Maciej Mrozowski <reavertm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 19 02:15:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=823bd2d4

dev-util/kdevelop-python: Version bump 5.3.0

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Maciej Mrozowski <reavertm <AT> gentoo.org>

 dev-util/kdevelop-python/Manifest                  |  1 +
 .../kdevelop-python/kdevelop-python-5.3.0.ebuild   | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-util/kdevelop-python/Manifest b/dev-util/kdevelop-python/Manifest
index c67af031aa0..022ebb55649 100644
--- a/dev-util/kdevelop-python/Manifest
+++ b/dev-util/kdevelop-python/Manifest
@@ -1 +1,2 @@
 DIST kdev-python-5.2.4.tar.xz 1073172 BLAKE2B 774ef9853d9304073c5c8ff0657774a546c361d316116c1b09f21dad5f65cc8566948f42d179d5e612b64874ea14087e26794fdc3f3c7a9910569592c064973b SHA512 abf86aeeffba496a51cc6969bb0dd75509b3385332914f8135e3b1ec5e4da592af5a7d07fd98ad231d8c09109c2396037727e3db0a7ce14bd427f87d558fa3b8
+DIST kdev-python-5.3.0.tar.xz 1074128 BLAKE2B 0975aaa44555e45e17f79c68179b7e70c6b343356294b0f861feb34031267a41bddab2cf9e02bdabef2eb593fbd3bef8b26baf977c8dd778bacf2fa0538f87c1 SHA512 5e7b850dd297d14f81121a253d0650deed1ee9c22aef4c7b129f9aef57119bb9c3266292fb57cfa1dcbdd19ca076bc565cb21ced856e03480d1d774b719c8755

diff --git a/dev-util/kdevelop-python/kdevelop-python-5.3.0.ebuild b/dev-util/kdevelop-python/kdevelop-python-5.3.0.ebuild
new file mode 100644
index 00000000000..95cc296ddff
--- /dev/null
+++ b/dev-util/kdevelop-python/kdevelop-python-5.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_BRANCH="5.3"
+KDE_TEST="forceoptional"
+KDEBASE="kdevelop"
+KMNAME="kdev-python"
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+inherit kde5 python-single-r1
+
+DESCRIPTION="Python plugin for KDevelop"
+IUSE=""
+[[ ${KDE_BUILD_TYPE} = release ]] && KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kitemmodels)
+	$(add_frameworks_dep knewstuff)
+	$(add_frameworks_dep kparts)
+	$(add_frameworks_dep ktexteditor)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_frameworks_dep kxmlgui)
+	$(add_frameworks_dep threadweaver)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtwidgets)
+	dev-util/kdevelop:5
+"
+RDEPEND="${DEPEND}
+	dev-python/pycodestyle[${PYTHON_USEDEP}]
+"
+
+RESTRICT+=" test"
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+	kde5_pkg_setup
+}
+
+src_compile() {
+	pushd "${WORKDIR}"/${P}_build > /dev/null || die
+	emake parser
+	popd > /dev/null || die
+
+	kde5_src_compile
+}


             reply	other threads:[~2018-11-19  2:26 UTC|newest]

Thread overview: 118+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-19  2:26 Maciej Mrozowski [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-17 16:50 [gentoo-commits] repo/gentoo:master commit in: dev-util/kdevelop-python/ Andreas Sturmlechner
2025-03-17 16:42 Andreas Sturmlechner
2024-10-04 22:35 Andreas Sturmlechner
2024-10-04 16:59 Arthur Zamarin
2024-09-19 18:34 Sam James
2023-07-24 13:28 Andreas Sturmlechner
2023-04-29 14:21 Andreas Sturmlechner
2023-04-29 11:42 Arthur Zamarin
2023-04-29  0:40 Sam James
2023-04-22  9:13 Andreas Sturmlechner
2023-04-01 16:47 Arthur Zamarin
2023-04-01 16:40 Arthur Zamarin
2023-01-26  8:45 Andreas Sturmlechner
2023-01-25 19:22 Arthur Zamarin
2023-01-21 19:26 Arthur Zamarin
2023-01-03 19:15 Arthur Zamarin
2022-07-24 23:29 Sam James
2022-07-20  5:49 Sam James
2022-04-22 18:08 Sam James
2022-04-17 19:29 Sam James
2022-04-07 21:41 Sam James
2022-03-24 11:58 Andreas Sturmlechner
2021-11-26  4:21 Sam James
2021-08-25  9:18 Andreas Sturmlechner
2021-03-07 19:52 Andreas Sturmlechner
2021-03-07 19:46 Sam James
2021-03-06 15:11 Thomas Deutschmann
2021-02-02 19:42 Andreas Sturmlechner
2021-01-10 15:53 Andreas Sturmlechner
2021-01-10 13:08 Sam James
2021-01-08 10:34 Sam James
2020-12-08 23:15 Andreas Sturmlechner
2020-11-03  7:21 Andreas Sturmlechner
2020-11-02 23:53 Sam James
2020-10-25 23:08 Thomas Deutschmann
2020-09-08 18:08 Andreas Sturmlechner
2020-06-26  6:40 Andreas Sturmlechner
2020-06-21 20:31 Thomas Deutschmann
2020-06-02 14:58 Andreas Sturmlechner
2020-06-02 14:58 Andreas Sturmlechner
2020-05-07  7:59 Andreas Sturmlechner
2020-05-07  7:54 Andreas Sturmlechner
2020-05-07  7:54 Andreas Sturmlechner
2020-03-22 20:43 Andreas Sturmlechner
2020-03-20  9:04 Agostino Sarubbo
2020-03-12 16:21 Agostino Sarubbo
2020-02-09 16:25 Michał Górny
2020-02-05  0:35 Maciej Mrozowski
2020-01-10  9:50 Andreas Sturmlechner
2020-01-10  1:26 Thomas Deutschmann
2020-01-07 19:34 Andreas Sturmlechner
2019-12-31 13:34 Mikle Kolyada
2019-12-25 17:51 Andreas Sturmlechner
2019-12-02 23:34 Andreas Sturmlechner
2019-11-13  2:32 Andreas Sturmlechner
2019-11-10 21:31 Andreas Sturmlechner
2019-10-26 22:42 Andreas Sturmlechner
2019-10-26 22:42 Andreas Sturmlechner
2019-10-21 20:58 Andreas Sturmlechner
2019-10-21 12:47 Thomas Deutschmann
2019-09-21 11:45 Andreas Sturmlechner
2019-09-03 17:29 Andreas Sturmlechner
2019-08-14 13:00 Andreas Sturmlechner
2019-08-14 10:58 Andreas Sturmlechner
2019-08-14 10:14 Mikle Kolyada
2019-08-13 19:38 Andreas Sturmlechner
2019-08-06 21:43 Andreas Sturmlechner
2019-07-18 20:58 Andreas Sturmlechner
2019-04-01 20:45 Andreas Sturmlechner
2019-03-22 10:17 Mikle Kolyada
2019-03-17 17:26 Andreas Sturmlechner
2019-03-07 10:02 Andreas Sturmlechner
2018-12-12 23:11 Maciej Mrozowski
2018-10-14  9:50 Andreas Sturmlechner
2018-10-14  7:57 Mikle Kolyada
2018-10-14  1:44 Thomas Deutschmann
2018-08-21 17:11 Andreas Sturmlechner
2018-07-09 16:02 Mikle Kolyada
2018-07-04  3:17 Thomas Deutschmann
2018-01-05  0:48 Andreas Sturmlechner
2018-01-04 17:39 Mikle Kolyada
2017-12-30  1:05 Thomas Deutschmann
2017-12-16 12:45 Michael Palimaka
2017-12-16 10:31 Tobias Klausmann
2017-11-24 23:08 Andreas Sturmlechner
2017-11-24 23:08 Andreas Sturmlechner
2017-11-20  1:03 Andreas Sturmlechner
2017-10-29 23:56 Thomas Deutschmann
2017-08-29 21:27 Andreas Sturmlechner
2017-08-19 20:21 Andreas Sturmlechner
2017-08-19 15:03 Michael Palimaka
2017-07-31 12:20 Tobias Klausmann
2017-06-04 10:45 Michael Palimaka
2017-05-06 20:05 Andreas Sturmlechner
2017-05-06 20:05 Andreas Sturmlechner
2017-05-06 17:20 Agostino Sarubbo
2017-05-06 13:26 Agostino Sarubbo
2017-05-03  4:38 Maciej Mrozowski
2017-04-20 20:48 David Seifert
2017-03-23  0:11 Andreas Sturmlechner
2017-03-23  0:11 Andreas Sturmlechner
2017-03-18 21:52 Johannes Huber
2017-03-18 21:41 Johannes Huber
2017-03-04 12:22 Johannes Huber
2016-12-18 19:11 Johannes Huber
2016-12-18 19:11 Johannes Huber
2016-12-01 18:26 Johannes Huber
2016-12-01 18:26 Johannes Huber
2016-10-30 18:09 Johannes Huber
2016-09-21 14:57 Michael Palimaka
2016-08-31 15:03 Michael Palimaka
2016-08-31 14:23 Michael Palimaka
2015-12-25 16:47 Agostino Sarubbo
2015-12-01 11:20 Agostino Sarubbo
2015-10-26 18:50 Michael Palimaka
2015-09-07  9:46 Michael Palimaka
2015-08-09 17:36 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1542593722.823bd2d48417f8f666a8f1daa52b1def25199e00.reavertm@gentoo \
    --to=reavertm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox